create table mq_test_endor(
	endorseNo           String ,                        -- 1 批单号
	businessOffice      String ,                        -- 新核心车险批单-保单归属机构代码
	productCode         String ,                        -- 新核心车险批单-险种代码
    businessNatureCode  String ,                        -- 新核心车险批单-业务来源
	channelType         String ,    					-- 5 渠道类型
	uwConclueDate       String ,                        -- 6 核批完成时间
	plpEndorse   row(
	     endorseEffectiveTime          String ,					 -- 7 批单生效日期
		 staCurAmountVariation         String ,                  -- 10 变化保险金额
		 staCurPremiumVariation        String ,                  -- 11 不含税变化保险费
	     staCurNetPremiumVariation     String ,                  -- 12 含税变化保险费
		 staCurTaxFeeVariation         String ,                  -- 13 税
		 plpCommissionDetail   array<row(
		      agentFeeVariation       String ,                         -- 16 份额含税手续费变化量
			  agentNetFeeVariation    String                           -- 17 份额不含税手续费变化量
		)>,
		netPremiumVariation           String                   -- 保费变化量
	),
    recordClerkCode     String ,                       -- 14 归属业务员ID
	recordClerkName     String ,                       -- 15 归属业务员名称
	businessChannelCode String ,                       -- 27 新核心车险批单-清分后渠道
	businessChannelName String ,                       -- 28 业务渠道名
    newPolicyFlag       String ,                       -- 20 新核心车险批单-新保标识 1:是，0：否
	autoTransrenewFlag  String ,                       -- 21 新核心车险批单-自动续保标识 1:是，4：跨险种自动续保，0：否
	transferPolicyFlag  String ,                       -- 22 新核心车险批单-转保标识1:是，0：否
	transrenewFlag      String ,                       -- 23 新核心车险批单-续保标识 1:是，4：跨险种续保，0：否
	policyCreatDate     String ,                       -- 新核心车险批单-核保通过时间
    plcSolution  array<row(
        plcCoins    row(                                
		     plcCoinsBasicInformation array<row(
		         coinsRate            String ,                     -- 非车险共保比例
                 coinsIdentity        String                       -- 共保我方标记 = 1 时共保我方
		     )>
		 ),
		 PlcRation  row(
            artifSelfPricesRat      String ,                       -- 新核心车险批单-自主定价系数
            artifReviewPrem         String                         -- 新核心车险批单-总保费
        ),
        plcCommissionDetail array<row(
            agentFee                String ,                       -- 新核心车险批单-手续费含税金额
            agentNetFee             String                         -- 新核心车险批单-手续费不含税金额
        )>
    )>,
	policyNo             String ,                       -- 新核心车险批单-保单号
	businessOfficeName   String ,                       -- 新核心车险批单-保单归属机构名称
	startTime            String ,                       -- 新核心车险批单-起保时间
	endTime              String ,                       -- 新核心车险批单-终保时间
	netPremium           String ,                       -- 新核心车险批单-不含税保费
	premium              String ,                      -- 新核心车险批单-含税保费
	plcCar05 row(
	    licensePlateNo      String ,                       -- 新核心车险批单-车牌号
	    frameNo             String ,                       -- 新核心车险批单-车架号
	    vehicleId           String ,                       -- 新核心车险批单-车型
	    newVehicleFlag      String ,                       -- 新核心车险批单-新车标识
	    carUserNatureCode   String ,                       -- 新核心车险批单-车辆使用性质
	    carKindCode         String                        -- 新核心车险批单-车辆种类
	),
	plcApplicant array<row(
	    customerName    String                        -- 新核心车险批单-投保人名称
	)>,
	plcPublicInsurant array<row(
	    customerName    String                        -- 新核心车险批单-被保人名称
	)>,
	saleaman            String,                       -- 新核心车险批单-代理机构代码
	saleamanName        String,                       -- 新核心车险批单-代理机构名称
	policySort          String,                       -- 新核心车险批单-保单种类
    sigAndStaExchangeRate         String 			  -- 8 到人民币汇率 除了粤港车，车险没有存汇率，模型默认0


)WITH( 
-- 'host' = '9.23.28.35',
-- 'port' = '5672',
-- 'user' = 'test',
-- 'password' = 'cG9saWN5LVJhYmJpdE1R',
-- 'vhost' = '/',
-- 'queue' = 'ENDOR_GENERATE_FANOUT_MESSAGE_QUEUE_D030',
-- 'durable'='true',
-- 'format'='json',
-- 'connector' = 'rabbitmq-ddl'
-- earliest-offset/latest-offset/group-offsets/specific-offsets/timestamp 
'scan.startup.mode'='earliest-offset' , 
'connector'='kafka',
'topic'='ENDOR',
'properties.bootstrap.servers'='9.23.23.75:9092,9.23.23.76:9092,9.23.23.77:9092,9.23.23.78:9092',
'format'='json',
'json.ignore-parse-errors' = 'false',
-- 消费
'properties.group.id'='testGroup_2022040201'
); 



 
 
 
CREATE TABLE  test_endor_trans( 
 endorseNo                   varchar(64) ,
 uwConclueDate               varchar(64) ,
 endorseEffectiveTime        varchar(64) ,
 businessOffice              varchar(64) ,
 productCode                 varchar(64) ,
 businessChannelCode         varchar(64) ,
 businessNatureCode          varchar(64) ,
 netPremiumVariation         varchar(64) ,
 sigAndStaExchangeRate       varchar(64) ,
 staCurPremiumVariation      varchar(64) ,
 coinsIdentity               varchar(64) ,
 coinsRate                   varchar(64) ,
 newPolicyFlag               varchar(64) ,
 autoTransrenewFlag          varchar(64) ,
 transferPolicyFlag	             varchar(64) ,
 transrenewFlag              varchar(64) ,
 recordClerkCode             varchar(64)
  
  
  
  

 ) WITH  ('url'='jdbc:mysql://9.1.200.87:3306/life_test?useTimezone=true&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&useSSL=false',
 'table-name' = 'test_endor_trans','username' = 'service','password' = 'ydwf12356aA!',
 'scan.fetch-size' = '1000','sink.buffer-flush.max-rows' = '200','connector' ='jdbc'); 


insert into test_endor_trans 
select 
    endorseNo                                             				                as endorseNo              --0 批单号
    ,LongTimeToStringUDF(uwConclueDate,'yyyyMMdd')                    	                as uwConclueDate          --1 核保通过时间   ？？
    ,LongTimeToStringUDF(plpEndorse.endorseEffectiveTime,'yyyyMMdd')  	                as endorseEffectiveTime   --2 起保时间
    ,businessOffice                                        				                as businessOffice         --3 保单归属机构代码
    ,productCode                                           				                as productCode            --4 险种代码
    ,businessChannelCode                                   				                as businessChannelCode    --5 业务渠道
    ,businessNatureCode                                    				                as businessNatureCode     --6 业务来源
	,plpEndorse.netPremiumVariation														as netPremiumVariation    --7 9月2日生效 保费变化量
	,sigAndStaExchangeRate																as sigAndStaExchangeRate  --8 
    ,plpEndorse.staCurPremiumVariation 													as staCurPremiumVariation --9 
	,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsIdentity  				as coinsIdentity          --0 
    ,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsRate 						as coinsRate              --1 
    ,newPolicyFlag  																	as newPolicyFlag          --2 
	,autoTransrenewFlag 																as autoTransrenewFlag     --3 
	,transferPolicyFlag 																as transferPolicyFlag	      --4 
	,transrenewFlag																		as transrenewFlag         --5 
    ,recordClerkCode																	as recordClerkCode        --6 
from mq_test_endor
where LongTimeToStringUDF(uwConclueDate,'yyyyMMdd')   between '20220830' and '20220901'