create table mq_test_policy(
	endorseNo                   String ,                         -- 1 批单号
	policyNo                    String ,                         -- 2 保单号
	businessNo                  String ,                         -- 3 业务号
	uwConclueDate               String ,                         -- 4 核保通过时间
	businessOffice              String ,                         -- 5 保单归属机构代码
	businessOfficeName          String ,                         -- 6 保单归属机构名称
    productCode                 String ,                         -- 7 险种代码
    businessNatureCode          String ,                         -- 8 业务来源
    startTime                   String ,                         -- 9 起保时间
    endTime                     String ,                         -- 10 终保时间
    netPremium                  String ,                         -- 11 不含税保费
    premium                     String ,                         -- 12 含税保费
    plcCar05  row(
         licensePlateNo              String ,                         -- 13 车牌号
    	 frameNo                     String ,                         -- 14 车架号
    	 vehiclecode                 String ,                         -- 15 行业车型代码
         carBrandCode                String ,                         -- 16 厂牌型号
         newCarFlag                  String ,                         -- 17 新车标识 1:新车，0：旧车
		 carKindCode                 String ,                         -- 29 车辆种类代码
		 carKindName                 String ,                         -- 30 车辆种类名称
		 carUserNatureCode           String ,                         -- 31 车辆使用性质代码
		 carUserNature               String ,                          -- 32 车辆使用性质名称
    	 vehicleId                   String ,                         -- 新核心车险保单-车型
		 newVehicleFlag              String ,                          -- 新核心车险保单-新车标识
		 actualvalue                 String                           -- 新核心车险保单-实际价值
    ),                                                                  
    plcApplicant  array<row(
            customerName                 String                            -- 18 投保人名称
	)>,
    plcPublicInsurant  array<row(
            customerName                 String                            -- 19 被保人名称
	)>,
    newPolicyFlag               String ,                         -- 20 新保标识 1:是，0：否
	autoTransrenewFlag          String ,                         -- 21 自动续保标识 1:是，4：跨险种自动续保，0：否
	transferPolicyFlag          String ,                         -- 22 转保标识1:是，0：否
	transrenewFlag              String ,                         -- 23 续保标识 1:是，4：跨险种续保，0：否
    plcSolution   array<row(
         PlcRation  row(
             artifSelfPricesRat           String,                          -- 24 自主定价系数
             artifReviewPrem              String                       -- 新核心车险保单-总保费
         ),
		 plcCoins    row(                                --String类型 该对象部分参数在某些数据中可能不存在 自定义函数 JsonValuUDF读取
		     plcCoinsBasicInformation array<row(
		         coinsRate                  String ,                       -- 非车险共保比例
                 coinsIdentity              String                  -- 共保我方标记 = 1 时共保我方
		     )>
		 ),
		 plcCommissionDetail  array<row(
		      agentFee                    String ,                        -- 36 份额含税手续费
		 	  agentNetFee                 String                          -- 37 份额不含税手续费

		 )>
    )>,
	saleaman                    String ,                         -- 25 代理机构代码
	saleamanName                String ,                         -- 26 代理机构名称
	businessChannelCode         String ,                         -- 27 业务渠道
	businessChannelName         String ,                         -- 28 业务渠道名
	recordClerkCode             String ,					     -- 34 归属业务员ID
    recordClerkName             String ,                         -- 35 归属业务员名称
    staCurAmount                String ,                         -- 38 保险金额
	staCurTaxFee                String ,                         -- 39 税
    policyCreatDate             String ,                         -- 保单创建时间
    sigAndStaExchangeRate       String ,                         -- 费率
	policySort                  String ,                         -- 新核心车险保单-保单种类
	businessType                String                           -- 新核心车险保单-业务类型


)WITH ( 

-- earliest-offset/latest-offset/group-offsets/specific-offsets/timestamp 
'scan.startup.mode'='earliest-offset' , 
'connector'='kafka',
'topic'='POLICY',
'properties.bootstrap.servers'='9.23.23.75:9092,9.23.23.76:9092,9.23.23.77:9092,9.23.23.78:9092',
'format'='json',
'json.ignore-parse-errors' = 'false',
-- 消费
'properties.group.id'='testGroup_2022040201'

); 


CREATE TABLE  test_policy_trans( 
policyNo                    varchar(64) ,
uwConclueDate               varchar(64) ,
startTime                   varchar(64) ,
businessOffice              varchar(64) ,
productCode                 varchar(64) ,
businessChannelCode         varchar(64) ,
businessNatureCode          varchar(64) ,
netPremium                  varchar(64) ,
sigAndStaExchangeRate       varchar(64) ,
coinsIdentity               varchar(64) ,
coinsRate                   varchar(64) ,
newPolicyFlag               varchar(64) ,
autoTransrenewFlag          varchar(64) ,
transferPolicyFlag	        varchar(64) ,
transrenewFlag              varchar(64) ,
recordClerkCode             varchar(64) 

 ) WITH  (
 'url'='jdbc:mysql://9.1.200.87:3306/life_test?useTimezone=true&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=utf8&useSSL=false',
 'table-name' = 'test_policy_trans','username' = 'service','password' = 'ydwf12356aA!',
 'scan.fetch-size' = '1000','sink.buffer-flush.max-rows' = '200','connector' ='jdbc'
 ); 
 
 

insert into test_policy_trans  
select
     policyNo                                             								as policyNo                     -- 0
    ,LongTimeToStringUDF(uwConclueDate,'yyyyMMdd')                      				as uwConclueDate                -- 1
    ,LongTimeToStringUDF(startTime,'yyyyMMdd')                          				as startTime                    -- 2
    ,businessOffice                            						    				as businessOffice               -- 3
    ,productCode  																		as productCode               -- 4                          
    ,businessChannelCode   																as businessChannelCode          -- 5                      
    ,businessNatureCode 																as businessNatureCode           -- 6                        
    ,netPremium 																		as netPremium                   -- 7 
	,sigAndStaExchangeRate 																as sigAndStaExchangeRate        -- 8
	,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsIdentity  				as coinsIdentity                -- 9
    ,plcSolution[1].plcCoins.plcCoinsBasicInformation[1].coinsRate 						as coinsRate                    -- 0
    ,newPolicyFlag  																	as newPolicyFlag                -- 1
	,autoTransrenewFlag 																as autoTransrenewFlag           -- 2
	,transferPolicyFlag 																as transferPolicyFlag	            -- 3
	,transrenewFlag																		as transrenewFlag               -- 4
    ,recordClerkCode																	as recordClerkCode              -- 5                 
from mq_test_policy -- 保单业务数据
where LongTimeToStringUDF(uwConclueDate,'yyyyMMdd')   between '20220830' and '20220901'
;

